Subject: Re: Linux 2.6.x on 8xx status

From: Marcelo Tosatti <[email-masked]>
Date: Fri, 15 Oct 2004 23:13:53 -0300

On Fri, Oct 15, 2004 at 12:49:46PM -0300, Marcelo Tosatti wrote:
> On Tue, Sep 21, 2004 at 01:03:29PM -0400, Dan Malek wrote:
> > 
> > On Sep 21, 2004, at 7:59 AM, Smith, Craig wrote:
> > 
> > >Genius. That patch appears to work for me as well.
> > 
> > The fact this works indicates a subtle memory management
> > problem elsewhere.  I don't know what that is at this
> > point.  This hack is in a piece of generic code that works
> > properly on all other PowerPC cores, so it isn't going to
> > ever appear in the public sources.
> > 
> > I suggested this change to a few people hoping the information
> > would lead them to finding the real problem, not that it
> > should be perpetuated as a "fix" to make 8xx work.
> > I don't personally have time to work on this right now,
> > so anyone using 8xx should be looking for the real
> > cause and solution, not using this to create products.
> 
> Do you know the real cause Dan ?
> 
> As I told you, we are porting our sub-sub-architecture 
> to v2.6, and need that bug fixed at some time.
> 
> Lots of other people do.

I can try to fix it if you dont have time, do you know what is 
wrong and requires fixing? I'm not familiar with low-level PowerPC
memory management, but I can try.

Can you help, or are you planning on fixing this yourself (who
was the necessary knowledge, as soon as time allows) ?

I know Pantelis seems to have necessary knowledge to it. Pantelis?